Skip to main content
GET
Find by ID

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

external_id
string
required

The external ID to find the movie

Query Parameters

external_source
string
required

The external source of the movie

language
string

Defaults to en-US

Response

200 - application/json

Successful

movie_results
object[]

Contains an array of movie-related results that match the search criteria or ID provided.

person_results
array

Contains an array of results related to individuals, such as actors, directors, or other crew members.

tv_results
array

Contains an array of TV show-related results that match the search criteria or ID provided.

tv_episode_results
array

Contains an array of TV episode-related results, including details about specific episodes of a series.

tv_season_results
array

Contains an array of TV season-related results, including details about specific seasons of a series.